<?xml version="1.0" encoding="ASCII"?>

<!-- oks-data version 2.0 -->


<!DOCTYPE oks-data [
<!ELEMENT oks-data (info, (include)?, (comments)?, (obj)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "extended"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT obj (attr | rel)*>
  <!ATTLIST obj
      class CDATA #REQUIRED
      id CDATA #REQUIRED
  >
  <!ELEMENT attr (#PCDATA)*>
  <!ATTLIST attr
      name CDATA #REQUIRED
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class|-) "-"
      num CDATA "-1"
  >
  <!ELEMENT rel (#PCDATA)*>
  <!ATTLIST rel
      name CDATA #REQUIRED
      num CDATA "-1"
  >
]>

<oks-data>

  <info name="" type="" num-of-items="15" oks-format="extended" oks-version="oks-06-08-03 built &quot;Jan 14 2015&quot;" created-by="dliko" created-on="pcatd84" creation-time="20030414T160243" last-modified-by="mlisovyi" last-modified-on="pc-tbed-pub-99.cern.ch" last-modification-time="20160119T093840"/>

  <include>
    <file path="daq/sw/dqm-algorithms.data.xml"/>
    <file path="daq/schema/dqm.schema.xml"/>
  </include>

<!--###################################################################
			Algorithms
###################################################################-->

  <obj class="DQTemplateParameter" id="DataQuality_AmbFlagChecks">
    <attr name="IDPattern" type="string">"{board}{id_board}{extra}{id_extra}_{id_check}"</attr>
    <attr name="Label" type="string">"{id_check}"</attr>
    <attr name="Weight" type="float">1</attr>
    <attr name="EnabledAt" type="enum">"Always"</attr>
    <attr name="InputDataSource" type="string" num="1">
      "Histogramming.FTK_{board}{id_board}{extra}{id_extra}.{id_check}:1d"
    </attr>
    <attr name="DrawOption" type="string">""</attr>
    <attr name="CanvasOption" type="string">""</attr>
    <attr name="Parameters" type="string" num="1">
      "BinThreshold=1"
    </attr>
    <attr name="RedThresholds" type="string" num="1">
      "NBins=2"
    </attr>
    <attr name="GreenThresholds" type="string" num="1">
      "NBins=0"
    </attr>
    <attr name="Instances" type="string" num="3">
      "id_check=AmbLastL1id"
      "id_check=AmbNRoads"
      "id_check=AmbGeoAddress"
    </attr>
    <attr name="DisabledInstances" type="string" num="0"></attr>
    <rel name="DQShape">"DQShape" "BoardDQM_Alg"</rel>
    <rel name="AssociatedResources" num="0"></rel>
    <rel name="DQAlgorithm">"DQAlgorithm" "Bins_NotEqual_Threshold"</rel>
  </obj>
    
<!--###################################################################
			Supporting objects
###################################################################-->

  <obj class="DQShape" id="BoardDQM_Alg">
    <attr name="Type" type="enum">"Filler"</attr>
    <attr name="AspectRatio" type="float">2.0</attr>
    <attr name="LengthRatio" type="float">1.0</attr>
  </obj>

  <obj class="DQLayout" id="BoardDQM_Layout_Checks">
    <attr name="Type" type="enum">"Grid"</attr>
    <attr name="Rows" type="u32">2</attr>
    <attr name="Columns" type="u32">5</attr>
    <attr name="Orientation" type="enum">"Horizontal"</attr>
    <attr name="HSpacing" type="float">0.1</attr>
    <attr name="VSpacing" type="float">0.1</attr>
    <attr name="RowSpacing" type="string">""</attr>
    <attr name="ColumnSpacing" type="string">""</attr>
    <attr name="RowShifts" type="string">""</attr>
    <attr name="ColumnShifts" type="string">""</attr>
    <attr name="HMargins" type="float">0.1</attr>
    <attr name="VMargins" type="float">0.1</attr>
    <attr name="ChildrenGrid" type="string">"
      10000
      11111
      "</attr>
    <attr name="ChildrenSpan" type="string">""</attr>
    <attr name="RowHeaders" type="string" num="0"></attr>
    <attr name="ColumnHeaders" type="string" num="0"></attr>
    <attr name="Rotation" type="float">0</attr>
    <attr name="Labels" type="string" num="0"></attr>
    <rel name="DefaultChildrenShape">"" ""</rel>
  </obj>

  <obj class="DQLayout" id="BoardDQM_Layout_ExpertChecks">
    <attr name="Type" type="enum">"Grid"</attr>
    <attr name="Rows" type="u32">4</attr>
    <attr name="Columns" type="u32">5</attr>
    <attr name="Orientation" type="enum">"Horizontal"</attr>
    <attr name="HSpacing" type="float">0.1</attr>
    <attr name="VSpacing" type="float">0.1</attr>
    <attr name="RowSpacing" type="string">""</attr>
    <attr name="ColumnSpacing" type="string">""</attr>
    <attr name="RowShifts" type="string">""</attr>
    <attr name="ColumnShifts" type="string">""</attr>
    <attr name="HMargins" type="float">0.1</attr>
    <attr name="VMargins" type="float">0.1</attr>
    <attr name="ChildrenGrid" type="string">"
      11111
      11111
      11111
      11111
      "</attr>
    <attr name="ChildrenSpan" type="string">""</attr>
    <attr name="RowHeaders" type="string" num="0"></attr>
    <attr name="ColumnHeaders" type="string" num="0"></attr>
    <attr name="Rotation" type="float">0</attr>
    <attr name="Labels" type="string" num="0"></attr>
    <rel name="DefaultChildrenShape">"" ""</rel>
  </obj>


</oks-data>
